libzypp: zyppng::detail::TransformImpl< ElementType, Fn, typename > Struct Template Reference

libzypp 17.38.14

zyppng::detail::TransformImpl< ElementType, Fn, typename > Struct Template Reference

`#include <zypp-core/ng/pipelines/transform.h>`

## Public Types
using | Ret = std::invoke_result_t<Fn, ElementType>

## Static Public Member Functions
template<template< class, class... > class Container, typename Transformation = Fn, typename ... CArgs>
static Container< Ret > | execute (Container< ElementType, CArgs... > &&val, Transformation &&transformation)
template<template< class, class... > class Container, typename Transformation = Fn, typename ... CArgs>
static Container< Ret > | execute (const Container< ElementType, CArgs... > &val, Transformation &&transformation)

## Detailed Description

template<typename ElementType, typename Fn, typename>
struct zyppng::detail::TransformImpl< ElementType, Fn, typename >

Definition at line 31 of file transform.h.

## Member Typedef Documentation

## ◆ Ret

template<typename ElementType, typename Fn, typename>

using zyppng::detail::TransformImpl< ElementType, Fn, typename >::Ret = std::invoke_result_t<Fn, ElementType>

Definition at line 33 of file transform.h.

## Member Function Documentation

## ◆ execute() [1/2]

template<typename ElementType, typename Fn, typename>
template<template< class, class... > class Container, typename Transformation = Fn, typename ... CArgs>

Container< Ret > zyppng::detail::TransformImpl< ElementType, Fn, typename >::execute | ( | Container< ElementType, CArgs... > && | val,
|  | Transformation && | transformation )
| inlinestatic

Definition at line 38 of file transform.h.

## ◆ execute() [2/2]

template<typename ElementType, typename Fn, typename>
template<template< class, class... > class Container, typename Transformation = Fn, typename ... CArgs>

Container< Ret > zyppng::detail::TransformImpl< ElementType, Fn, typename >::execute | ( | const Container< ElementType, CArgs... > & | val,
|  | Transformation && | transformation )
| inlinestatic

Definition at line 48 of file transform.h.

The documentation for this struct was generated from the following file:

- zypp-core/ng/pipelines/transform.h